Productsup
CDE APIApi referenceManagement

Show connector metadata.

Sign in to run requests against the CDE API.
GET
/metadata/connectors/{connectorUuid}

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

connectorUuid*string
Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/metadata/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "message": "Successfully found connector metadata.",
  "resource": "connector-metadata",
  "data": {
    "uuid": "019e16f3-9066-7ec5-b3f5-fc88e571b9dd",
    "channel-owner": "Third Party",
    "confidence": "Semi Confident",
    "help-center": "http://help.center",
    "internal-documentation": "http://docs.internal",
    "notes": "some notes",
    "last-reviewed-at": "2026-05-11T14:12:01+02:00",
    "last-updated-by": "e64ccc2b-f1d3-481a-b800-bd800f1ffdef",
    "created-at": "2026-05-11T14:12:01+02:00",
    "updated-at": "2026-05-11T14:12:01+02:00",
    "connector": {
      "id": "019e16f3-9051-7bd6-bb19-4ed58c6c2461",
      "name": "Connector without metadata",
      "type": "data-service"
    }
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Connector does not have metadata saved."
}

How is this guide?